user function RTEL011

local oReport
local cPerg := 'RTE11'
local cAlias := getNextAlias()

criaSx1(cPerg)
Pergunte(cPerg, .F.)

oReport := reportDef(cAlias, cPerg)

oReport:printDialog()

return 

//+-----------------------------------------------------------------------------------------------+
//! Rotina para montagem dos dados do relatrio. !
//+-----------------------------------------------------------------------------------------------+
Static Function ReportPrint(oReport,cAlias)

local oSecao1 := oReport:Section(1)

oSecao1:BeginQuery()

BeginSQL Alias cAlias

//SELECT F2_SERIE,F2_DOC, F2_CLIENTE, F2_ENVRNT,A1_NOME 
SELECT AB2_NRCHAM,AB2_EMISSA,AB2_CODCLI,AB2_STATUS,AB2_CODPRB,AB2_MODELO,AB2_NUMSER,AB2_DIAV,A1_NOME,AAM_CONTRT

FROM %Table:AB2% AB2   

INNER JOIN %Table:SA1% SA1
ON A1_COD = AB2_CODCLI

INNER JOIN %Table:AAM% AAM
ON AB2_CODCLI = AAM_CODCLI        

WHERE AB2_EMISSA BETWEEN %Exp:MV_PAR01% AND %Exp:MV_PAR02%   
AND AB2_STATUS = "A"
AND AB2_CODPRB = "000000"  
GROUP BY AB2_NRCHAM,AB2_EMISSA,AB2_CODCLI,AB2_STATUS,AB2_CODPRB,AB2_MODELO,AB2_NUMSER,AB2_DIAV,A1_NOME,AAM_CONTRT


EndSQL 

oSecao1:EndQuery() 

oReport:SetMeter((cAlias)->(RecCount())) 

oSecao1:Print()	

return

//+-----------------------------------------------------------------------------------------------+
//! Funo para criao da estrutura do relatrio. !
//+-----------------------------------------------------------------------------------------------+
Static Function ReportDef(cAlias,cPerg)

local cTitle := "Relatrio de Chamados nao atendidos"
local cHelp := "Permite gerar relatrio chamados nao atendidos."

local oReport
local oSection1

oReport	:= TReport():New('RTEL011',cTitle,cPerg,{|oReport|ReportPrint(oReport,cAlias)},cHelp)
//oReport:SetPortrait()
//oReport:SetLandscape()
//oreport:nfontbody:=10
//oreport:cfontbody:="Arial"

//Primeira seo
oSection1 := TRSection():New(oReport,"Chamados",{"AB2","SA1","AAM"})  


TRCell():New(oSection1,"AB2_NRCHAM", "", "Nr Chamado","",06)
//TRCell():New(oSection1,"B3_Q12", "","texto","@E 999,999.99",10)
TRCell():New(oSection1,"AB2_CODCLI", "", "Cod Cliente","",06) 
TRCell():New(oSection1,"A1_NOME", "", "Nome","",20) 
TRCell():New(oSection1,"AAM_CONTRT", "", "Nr Contr","",15)  
TRCell():New(oSection1,"AB2_MODELO", "", "Modelo","",10)
TRCell():New(oSection1,"AB2_NUMSER", "", "Nr Serie","",10)
TRCell():New(oSection1,"AB2_DIAV", "", "Dia Ver","",02)//,"@!"/*Picture*/,25/*Tamanho*/,/*lPixel*/,/*{|| bloco-de-impressao }*/)  


Return(oReport)

//+-----------------------------------------------------------------------------------------------+
//! Funo para criao das perguntas (se no existirem) !
//+-----------------------------------------------------------------------------------------------+
static function criaSX1(cPerg)

putSx1(cPerg, '01', 'Emissao Inicial ?' , '', '', 'mv_ch1', 'D', 8, 0, 0, 'G', '', '', '', '', 'mv_par01')
putSx1(cPerg, '02', 'Emissao Final ?' , '', '', 'mv_ch2', 'D', 8, 0, 0, 'G', '', '', '', '', 'mv_par02')  

//putSx1(cPerg, '02', 'Nota at?' , '', '', 'mv_ch2', 'C', 9, 0, 0, 'G', '', '', '', '', 'mv_par02')  


return
